Wallets, tokens & networks

Get Transaction History

Paginates completed settlements to the caller Privy wallets merged with user wallet transfers, priced via CoinMarketCap.

GEThttps://api.toku.com/tga/get-transaction-history

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/get-transaction-history' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "transactions": [
    {
      "id": "string",
      "type": "sent",
      "amount": "string",
      "symbol": "string",
      "date": "string",
      "address": "string",
      "txHash": "string",
      "txLink": "string",
      "network": "string",
      "fiatAmount": "string",
      "exchangeRate": "string",
      "tokenIcon": "string",
      "networkIcon": "string",
      "fromAddress": "string",
      "toAddress": "string"
    }
  ],
  "totalCount": 0,
  "currentPage": 0,
  "totalPages": 0,
  "hasNextPage": true,
  "hasPreviousPage": true,
  "availableAssets": [
    {
      "symbol": "string",
      "name": "string",
      "icon": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

pagenumber

Allowed: at least 1

Default: 1

pageSizenumber

Allowed: 1 to 100

Default: 20

typeFilterstring

Available options: sent, received,

Default: ""

dateFilterstring

Available options: 7D, 1M, 3M, 6M, 1Y, ALL,

Default: ""

assetFilterstring

Default: ""

Response

200Successful response
transactionsobject[]required
Show child attributes
idstringrequired
typestringrequired

Available options: sent, received

amountstringrequired
symbolstringrequired
datestringrequired
addressstringrequired
txHashstring | nullrequired
txLinkstring | nullrequired
networkstringrequired
fiatAmountstringrequired
exchangeRatestringrequired
tokenIconstring | nullrequired
networkIconstring | nullrequired
fromAddressstringrequired
toAddressstringrequired
totalCountintegerrequired
currentPageintegerrequired
totalPagesintegerrequired
hasNextPagebooleanrequired
hasPreviousPagebooleanrequired
availableAssetsobject[]required
Show child attributes
symbolstringrequired
namestringrequired
iconstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits